<?php
/*
  AFCommerce Function Declaration File - (MYSQL)
  File Name: database-mysql.php, v 2.1
  Author: Paul Crinigan, AmazingFlash.com

  AFCommerce, Amazing Flash Commerce Solutions
  http://www.afcommerce.com

  Copyright (c) 2004 - 2006 AFCommerce

  AFCommerce is Released under the AFCommerce Free Public License Agreement
*/

/*
*************  Functions Declared In This File :  *************
More information can be found at: http://www.afcommerce.com/functions/

1. Table Names are defined first in databasetables.php
2. afc_sql_connect($SQLHOST, $SQLLOGIN, $SQLPASS, $DATABASE)
3. afc_sql_query($query, $conn)
4. afc_sql_error()
5. afc_sql_insert_id($conn)
6. afc_sql_num_rows($answer)
7. afc_sql_quote($value)
8. afc_sql_fetch_array($answer)
9. afc_sql_fetchrow($answer) - Do Not Use - Same as: afc_sql_fetch_array

More information can be found at: http://www.afcommerce.com/functions/
*/

if (file_exists("../web/dbprefix.php")) { include("../web/dbprefix.php");  }

include("databasetables.php");

function afc_sql_connect($SQLHOST, $SQLLOGIN, $SQLPASS, $DATABASE)	{
global $conn;

$conn = mysql_connect($SQLHOST, $SQLLOGIN, $SQLPASS);
if (!mysql_select_db($DATABASE, $conn)) { return false;   }

return $conn;
} // ends function

// -----------------------------------------------------

function afc_sql_query($query, $conn)	{
global $conn;

$answer = mysql_query($query, $conn);
if ($answer) {  return $answer;		}
else {  return afc_sql_error();		}

} // ends function

// -----------------------------------------------------

function afc_sql_error()	{
global $conn;
return mysql_error();
} // ends function

// -----------------------------------------------------

function afc_sql_insert_id($conn)	{
global $conn;
$id = mysql_insert_id();
return $id;
} // ends function

// -----------------------------------------------------

function afc_sql_num_rows($answer)	{
global $conn;
$total = mysql_num_rows($answer);
return $total;
} // ends function

// -----------------------------------------------------

function afc_sql_quote($value) { 

if (get_magic_quotes_gpc()) { 
$value = stripslashes($value);    } 

if (function_exists("mysql_real_escape_string")) { 
$value = mysql_real_escape_string($value);   } 

else { 
$value = addslashes($value);    } 

return $value; 
} // ends function

// -----------------------------------------------------

function afc_sql_fetch_array($answer)	{
global $conn;
$newarray = mysql_fetch_array($answer);
if (!is_array($newarray)) { return afc_sql_error();		}
else { return $newarray;   }

} // ends function

// -----------------------------------------------------

// The function below is an alias of the above function as you can see. Its
// here because I already had some scripts using it. If your changing this file
// to another database type, you do NOT have to change this function at all,
// but you do need to leave it here as is. Since I have it just calling the above
// function, when you change that one, this one changes with it. If you edit files
// and / or make new ones, use the above function and not this one. - Paul

function afc_sql_fetchrow($answer)	{
global $conn;
$newarray = afc_sql_fetch_array($answer);
return $newarray; 
} // ends function

?>
